/* grecs - Gray's Extensible Configuration System
   Copyright (C) 2007-2011 Sergey Poznyakoff

   Grecs is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3 of the License, or (at your
   option) any later version.

   Grecs is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with Grecs. If not, see <http://www.gnu.org/licenses/>. */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif
#include "grecs.h"

int
main(int argc, char **argv)
{
	struct grecs_version_info vinfo;

	if (argc > 2) {
		fprintf(stderr, "usage: %s [version]\n", argv[0]);
		exit(1);
	}
	if (argc == 2)
		exit(grecs_version_cmp(argv[1]) ? 2 : 0);
	/* Default action: */
	grecs_version(&vinfo);
	printf("package: %s\n", vinfo.package);
	printf("version: %s\n", vinfo.version);
	printf("major: %d\n", vinfo.major);
	printf("minor: %d\n", vinfo.minor);
	printf("patch: %d\n", vinfo.patch);
	printf("suffix:");
	if (vinfo.suffix && vinfo.suffix[0])
		printf(" %s", vinfo.suffix);
	putchar('\n');
	exit(0);
}

		
